Orgs Connections
Set the WhatsApp two-step verification PIN
Set the two-step verification PIN Meta keeps on the phone number.
POST
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
pin
Set the WhatsApp two-step verification PIN
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/pin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/pin"
payload = { "pin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"waba_id": "<string>",
"display_phone_number": "<string>",
"verified_name": "<string>",
"status": "<string>",
"quality_score": {
"score": "<string>"
},
"name_status": "<string>",
"messaging_limit_tier": "<string>",
"platform_type": "<string>",
"account_mode": "<string>",
"is_official_business_account": true,
"is_pin_enabled": true,
"health": {
"can_send_message": "<string>",
"entities": [
{
"entity_type": "<string>",
"id": "<string>",
"can_send_message": "<string>",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
],
"additional_info": [
"<string>"
]
}
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number
Body
application/jsonmultipart/form-data
Pattern:
^\d{6}$Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
Previous
Deregister a WhatsApp phone numberDeregister the phone number from the Cloud API; it stays on the WhatsApp Business account and can be registered again.
Next
⌘I
Set the WhatsApp two-step verification PIN
